## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate cranelift-frontend

Name:           rust-%{crate}
Version:        0.82.3
Release:        %autorelease
Summary:        Cranelift IR builder helper

# Upstream license specification: Apache-2.0 WITH LLVM-exception
License:        ASL 2.0
URL:            https://crates.io/crates/cranelift-frontend
Source:         %{crates_source}

# cranelift only supports x86_64, aarch64, and s390x
# * i686:    https://bugzilla.redhat.com/show_bug.cgi?id=1966344
# * armv7hl: https://bugzilla.redhat.com/show_bug.cgi?id=1966346
# * ppc64le: https://bugzilla.redhat.com/show_bug.cgi?id=1966347
ExclusiveArch:  x86_64 aarch64 s390x

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Cranelift IR builder helper.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+core-devel %{_description}

This package contains library source intended for building other packages which
use the "core" feature of the "%{crate}" crate.

%files       -n %{name}+core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hashbrown-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hashbrown-devel %{_description}

This package contains library source intended for building other packages which
use the "hashbrown" feature of the "%{crate}" crate.

%files       -n %{name}+hashbrown-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch x86_64
%cargo_test
%else
# * skip some tests that are explicitly x86_64-only
%cargo_test -- -- --skip frontend::tests::memcmp --skip frontend::tests::small_memcmp_aligned_eq --skip frontend::tests::small_memcmp_byte_ugt --skip frontend::tests::small_memcmp_ipv6_ne --skip frontend::tests::small_memcmp_odd_size_uge --skip frontend::tests::small_memcmp_zero_size
%endif
%endif

%changelog
* Wed Apr 13 2022 Fabio Valentini <decathorpe@gmail.com> 0.82.3-1
- Update to version 0.82.3; Fixes RHBZ#2051772

* Fri Feb 04 2022 Fabio Valentini <decathorpe@gmail.com> 0.80.0-1
- Update to version 0.80.0; Fixes RHBZ#2027097

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.77.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 22 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.77.0-1
- Update to upstream 0.77.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.75.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 10 21:26:22 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.75.0-1
- Update to upstream 0.75.0

* Tue Jun 01 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.74.0-2
- Exclude arch unsupported by Cranelift
- Ignore tests which depend on x86_64 on other architectures

* Sat May 22 14:42:53 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.74.0-1
- Update to 0.74.0 - Security fix GHSA-hpqh-2wqx-7qp5

* Sun May 16 19:49:13 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.73.0-1
- Initial package

